Package com.avaya.clientservices.network.websocket

## Class WebSocketClientCustomHandshaker13

- java.lang.Object
- - io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker
  - - io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13
    - - com.avaya.clientservices.network.websocket.WebSocketClientCustomHandshaker13

-     public class WebSocketClientCustomHandshaker13
      extends io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

- - ### Field Summary

    - ### Fields inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

      `MAGIC_GUID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WebSocketClientCustomHandshaker13​(java.net.URI webSocketURL, io.netty.handler.codec.http.websocketx.WebSocketVersion version, java.lang.String subprotocol, boolean allowExtensions, io.netty.handler.codec.http.HttpHeaders customHeaders)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.netty.handler.codec.http.FullHttpRequest` | `newHandshakeRequest()` |

    - ### Methods inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

      `isAllowExtensions, isAllowMaskMismatch, isPerformMasking, setForceCloseTimeoutMillis`

    - ### Methods inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker

      `actualSubprotocol, close, close, close, close, expectedSubprotocol, finishHandshake, forceCloseTimeoutMillis, handshake, handshake, isHandshakeComplete, maxFramePayloadLength, processHandshake, processHandshake, uri, version`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WebSocketClientCustomHandshaker13

          public WebSocketClientCustomHandshaker13​(java.net.URI webSocketURL,
                                                   io.netty.handler.codec.http.websocketx.WebSocketVersion version,
                                                   java.lang.String subprotocol,
                                                   boolean allowExtensions,
                                                   io.netty.handler.codec.http.HttpHeaders customHeaders)

  - ### Method Detail

    - #### newHandshakeRequest

          public io.netty.handler.codec.http.FullHttpRequest newHandshakeRequest()